Bug 398081 - Review Request: libfprint - Tool kit for fingerprint scanner
Review Request: libfprint - Tool kit for fingerprint scanner
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-24 17:51 EST by Pierre-Yves
Modified: 2007-12-28 12:19 EST (History)
4 users (show)

See Also:
Fixed In Version: 0.0.4-3.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-28 12:12:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Pierre-Yves 2007-11-24 17:51:18 EST
Spec URL: http://pingoured.dyndns.org/public/RPM/libfprint/libfprint.spec
SRPM URL: http://pingoured.dyndns.org/public/RPM/libfprint/libfprint-0.0.4-1.fc8.src.rpm
Description: 
The fprint project aims to plug a gap in the Linux desktop: support for 
consumer fingerprint reader devices.
This project provides the drivers for the fingerprint scanner including
the ones with a usb id 08ff:2580
Comment 1 Parag AN(पराग) 2007-11-24 22:16:25 EST
- MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for
directory ownership and usability).
Comment 3 Pierre-Yves 2007-11-27 11:44:58 EST
As I have also package pam_fprint, do you want me to upload it on the BZ ? So
that you can do the two reviews on the same time and therefore test if the
packages work.

Regards,
Comment 4 Mamoru TASAKA 2007-11-30 11:50:49 EST
(In reply to comment #3)
> As I have also package pam_fprint, do you want me to upload it on the BZ ? So
> that you can do the two reviews on the same time and therefore test if the
> packages work.
> 
For different packages, please file a new review request.
By the way, are you reviewing this package, Parag? (You
seem to have set fedora-cvs flag). If so, please change the status
of this bug appropriately.
Comment 5 Parag AN(पराग) 2007-11-30 21:46:05 EST
I am really sorry to all. Don't know how come this goes off my bugzilla radar. 
Surely I want to review this. I think because of mock package changes by its
maintainer I went into some problems in my local mock setup. And then I forgot this.
Comment 6 Parag AN(पराग) 2007-11-30 21:55:09 EST
(In reply to comment #2)
> Ok corrected
> 
> There are the new files
> SPEC:
> http://pingoured.dyndns.org/public/RPM/libfprint/libfprint.spec
> SRPM:
> http://pingoured.dyndns.org/public/RPM/libfprint/libfprint-0.0.4-2.fc8.src.rpm
> 
> Thanks

You need to add following to -devel not main rpm
Requires:       pkgconfig

Comment 7 Pierre-Yves 2007-12-01 10:42:14 EST
> For different packages, please file a new review request.
that I know, my question was do you need it to do this review, without the pam
module you can not really test this lib, can you ?

Else I have correct the spec, there are the new file :
http://pingoured.dyndns.org/public/RPM/libfprint/libfprint.spec

http://pingoured.dyndns.org/public/RPM/libfprint/libfprint-0.0.4-3.fc8.src.rpm

Regards,
Comment 8 Parag AN(पराग) 2007-12-03 01:15:17 EST
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
4ca061913b1fe9ad8c16ec71d9f39a9f  libfprint-0.0.4.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ BuildRequires are proper.
+ Compiler flags used correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no static libraries.
+ libfprint.pc file present.
+ -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ ldconfig scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Package libfprint-0.0.4-3.fc9 ->
  Provides: libfprint.so.0
  Requires: libMagick.so.10 libWand.so.10 libc.so.6 libc.so.6(GLIBC_2.0)
libc.so.6(GLIBC_2.1) libc.so.6(GLIBC_2.1.3) libc.so.6(GLIBC_2.3)
libc.so.6(GLIBC_2.3.4) libc.so.6(GLIBC_2.4) libfprint.so.0 libglib-2.0.so.0
libm.so.6 libm.so.6(GLIBC_2.0) libusb-0.1.so.4 
+ Package libfprint-devel-0.0.4-3.fc9 ->
  Requires: libfprint = 0.0.4-3.fc9 libfprint.so.0 pkgconfig
+ Not a GUI App.
APPROVED.
Comment 9 Pierre-Yves 2007-12-03 13:07:19 EST
New Package CVS Request
=======================
Package Name: libfprint 
Short Description: Tool kit for fingerprint scanner
Owners: pingou
Branches: F-7, F-8
Cvsextras Commits: yes
Comment 10 Kevin Fenzi 2007-12-03 14:14:58 EST
cvs done.
Comment 11 Fedora Update System 2007-12-06 12:39:22 EST
libfprint-0.0.4-3.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libfprint'
Comment 12 Fedora Update System 2007-12-06 12:40:09 EST
libfprint-0.0.4-3.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libfprint'
Comment 13 Parag AN(पराग) 2007-12-06 22:24:02 EST
devel is facing some problem. Just now did koji build for devel and found Error:
Missing Dependency: device-mapper-libs = 1.02.23-2 is needed by package
device-mapper
Comment 14 Parag AN(पराग) 2007-12-15 04:13:12 EST
Package already built for all requested branches. Therefore, closing this review
now.
Comment 15 Fedora Update System 2007-12-28 12:12:40 EST
libfprint-0.0.4-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2007-12-28 12:19:13 EST
libfprint-0.0.4-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.